// -*- C++ -*-

//=============================================================================
/**
 *  @file    wchar.h
 *
 *  wide-character handling
 *
 *  wchar.h,v 1.2 2003/04/21 15:53:00 dhinton Exp
 *
 *  @author Don Hinton <dhinton@ieee.org>
 *  @author This code was originally in various places including ace/OS.h.
 */
//=============================================================================

#ifndef ACE_OS_INCLUDE_WCHAR_H
#define ACE_OS_INCLUDE_WCHAR_H

#include "ace/pre.h"

#include "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

// ctype.h, string.h, stdarg.h, stdio.h, stdlib.h, time.h
#include "ace/os_include/stdio.h"
#include "ace/os_include/stdlib.h"
#include "ace/os_include/time.h"
#include "ace/os_include/string.h"
#include "ace/os_include/ctype.h"

#if !defined (ACE_LACKS_WCHAR_H)
# include /**/ <wchar.h>
#endif /* !ACE_LACKS_WCHAR_H */

#include "ace/post.h"
#endif /* ACE_OS_INCLUDE_WCHAR_H */
